Skip to main content
GET
/
organizations
/
{organization_id}
/
prepayment
/
transactions
List organization prepayment transactions
curl --request GET \
  --url {schemes}://api.upsun.com/organizations/{organization_id}/prepayment/transactions \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "transactions": [
    {
      "order_id": "<string>",
      "message": "<string>",
      "status": "<string>",
      "amount": {
        "formatted": "<string>",
        "amount": 123,
        "currency_code": "<string>",
        "currency_symbol": "<string>"
      },
      "created": "<string>",
      "updated": "<string>",
      "expire_date": "<string>"
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    },
    "prepayment": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

Response

OK

count
integer

Total number of items across pages.

transactions
object[]